import http from './https.js'
import tools from './tools.js'
import store from '@/store'
export default {
	// 门店账户管理
	onlogin(param) { // 根据openid快捷登录
		return http.post("/api/shop/user/onlogin", param).then(res => {
			return res
		})
	},
	getlogin(param) { // 账号登录
		return http.post("/api/shop/user/login", param).then(res => {
			return res
		})
	},
	getloginOut(param) { // 退出登录
		return http.post("/api/shop/user/loginout", param).then(res => {
			return res
		})
	},
	getShopChange(param) { //门店切换
		return http.post("/api/shop/user/change", param).then(res => {
			return res
		})
	},
	getUserShopList(param) { //绑定的门店列表
		return http.post("/api/shop/user/shoplist", param).then(res => {
			return res
		})
	},
	getSendCode(param) { // 验证码
		return http.post("/api/shop/user/sendcode", param).then(res => {
			return res
		})
	},
	getinfo(param) { // 获取用户资料
		return http.post("/api/shop/user/info", param).then(res => {
			return res
		})
	},
	// 公告列表
	getnoticelist(param) {
		return http.post("/api/shop/notice/list", param).then(res => {
			return res
		})
	},
	// 门店会员管理
	getServeList(param) { //今日服务信息
		return http.post("/api/shop/member/serve/list", param).then(res => {
			return res
		})
	},
	getBodyandproductList(param) { //产品和身体部位列表
		return http.post("/api/shop/member/bodyandproduct/list", param).then(res => {
			return res
		})
	},
	getServeCompletebody(param) { //身体服务完成
		return http.post("/api/shop/member/serve/completebody", param).then(res => {
			return res
		})
	},
	getServeAddbody(param) { //添加身体服务记录
		return http.post("/api/shop/member/serve/addbody", param).then(res => {
			return res
		})
	},
	getAddOrder(param) { //增加塑形订单
		return http.post("/api/shop/member/addorder", param).then(res => {
			return res
		})
	},
	getEditOrder(param) { //编辑塑形订单
		return http.post("/api/shop/member/editorder", param).then(res => {
			return res
		})
	},
	getOrderList(param) { //塑形订单列表
		return http.post("/api/shop/member/orderlist", param).then(res => {
			return res
		})
	},
	getServeComplete(param) { //服务完成
		return http.post("/api/shop/member/serve/complete", param).then(res => {
			return res
		})
	},
	getServeSubmit(param) { //用户提交服务记录
		return http.post("/api/shop/member/serve/submit", param).then(res => {
			return res
		})
	},
	getMemberApply(param) { //增加会员
		return http.post("/api/shop/member/apply", param).then(res => {
			return res
		})
	},
	getMemberEdit(param) { //编辑会员
		return http.post("/api/shop/member/edit", param).then(res => {
			return res
		})
	},
	getMemberTodayList(param) { //获取今日会员列表
		return http.post("/api/shop/member/todaylist", param).then(res => {
			return res
		})
	},
	getMemberList(param) { //获取所有会员列表
		return http.post("/api/shop/member/list", param).then(res => {
			return res
		})
	},
	getMemberInfo(param) { //会员资料详情
		return http.post("/api/shop/member/info", param).then(res => {
			return res
		})
	},
	getMemberTrendlist(param) { //会员体重趋势列表
		return http.post("/api/shop/member/trendlist", param).then(res => {
			if (res.code == 0) {
				let list = res.data
				let weight = {
					categories: [],
					series: [{
						data: [],
					}]
				}
				for (var i = 0; i < list.length; i++) {
					weight.categories.push(list[i].time);
					weight.series.forEach(item => {
						item.data.push(list[i].weight)
					})
				}
				res.data.list = weight
			}

			return res
		})
	},
	getMemberMoveshop(param) { //会员转店
		return http.post("/api/shop/member/moveshop", param).then(res => {
			return res
		})
	},
	getMoveshopSetstatus(param) { //转店处理
		return http.post("/api/shop/member/moveshop/setstatus", param).then(res => {
			return res
		})
	},
	getMoveshopList(param) { //会员转店记录
		return http.post("/api/shop/member/moveshop/list", param).then(res => {
			return res
		})
	},
	getMoveshopInfo(param) { //会员转店记录详情
		return http.post("/api/shop/member/moveshop/info", param).then(res => {
			return res
		})
	},
	getMemberAfk(param) { //会员请假
		return http.post("/api/shop/member/afk", param).then(res => {
			return res
		})
	},
	getMemberAfkList(param) { //会员请假列表
		return http.post("/api/shop/member/afk/list", param).then(res => {
			return res
		})
	},
	getMemberAfkDelete(param) { //会员请假记录删除
		return http.post("/api/shop/member/afk/delete", param).then(res => {
			return res
		})
	},
	getMemberCalcstand(param) { //标准体重计算
		return http.post("/api/shop/member/calcstand", param).then(res => {
			return res
		})
	},
	getMemberRankList(param) { //排行榜列表
		return http.post("/api/shop/member/rank/list", param).then(res => {
			return res
		})
	},
	getMemberGenimg(param) { //生成排行榜图片
		return http.post("/api/shop/member/rank/img", param).then(res => {
			return res
		})
	},
	getMemberSubscribe(param) { //关注会员
		return http.post("/api/shop/member/subscribe", param).then(res => {
			return res
		})
	},
	getMemberUnsubscribe(param) { //取关会员
		return http.post("/api/shop/member/unsubscribe", param).then(res => {
			return res
		})
	},
	getMemberFreeze(param) { //账户冻结
		return http.post("/api/shop/member/freeze", param).then(res => {
			return res
		})
	},
	getMemberThaw(param) { //账户解冻
		return http.post("/api/shop/member/thaw", param).then(res => {
			return res
		})
	},
	getAddweight(param) { //今日体重记录
		return http.post("/api/shop/member/addweight", param).then(res => {
			return res
		})
	},
	getTolslist(param) { //3+1流失顾客列表
		return http.post("/api/shop/member/tolslist", param).then(res => {
			return res
		})
	},

	//门店服务管理
	getProductAdd(param) { //为会员添加产品
		return http.post("/api/shop/member/product/add", param).then(res => {
			return res
		})
	},
	getProductbatchadd(param) { //为会员批量添加产品
		return http.post("/api/shop/member/product/batchadd", param).then(res => {
			return res
		})
	},
	getProductrPagelist(param) { //会员使用的产品列表
		return http.post("/api/shop/member/product/page", param).then(res => {
			return res
		})
	},
	getProductlist(param) { //会员可使用的产品列表
		return http.post("/api/shop/member/product/list", param).then(res => {
			return res
		})
	},
	getProductresultlist(param) { //会员指定产品使用记录
		return http.post("/api/shop/member/product/resultlist", param).then(res => {
			return res
		})
	},
	getAddOrder(param) { //增加塑形订单
		return http.post("/api/shop/member/addorder", param).then(res => {
			return res
		})
	},
	getEditorder(param) { //编辑塑形订单
		return http.post("/api/shop/member/editorder", param).then(res => {
			return res
		})
	},
	getDeleteOrder(param) { //删除塑型订单
		return http.post("/api/shop/member/deleteorder", param).then(res => {
			return res
		})
	},
	getEndorder(param) { //结束塑型订单
		return http.post("/api/shop/member/endorder", param).then(res => {
			return res
		})
	},
	getOrderlist(param) { //塑型订单列表
		return http.post("/api/shop/member/orderlist", param).then(res => {
			return res
		})
	},
	getOrderdetail(param) { //塑型订单详情
		return http.post("/api/shop/member/orderdetail", param).then(res => {
			return res
		})
	},
	getOldtonew(param) { //老转新
		return http.post("/api/shop/member/oldtonew", param).then(res => {
			return res
		})
	},
	getcalccycle(param) { //周期计算
		return http.post("/api/shop/member/calccycle", param).then(res => {
			return res
		})
	},
	getBodyInfo(param) { //今日身体服务信息
		return http.post("/api/shop/member/body/info", param).then(res => {
			return res
		})
	},
	getBodySubmit(param) { //提交身体服务记录
		return http.post("/api/shop/member/body/submit", param).then(res => {
			return res
		})
	},
	getBodyList(param) { //身体塑形服务记录列表
		return http.post("/api/shop/member/body/list", param).then(res => {
			return res
		})
	},




	// 门店信息
	getShopConfinfo(param) { //获取门店配置详情
		return http.post("/api/shop/confinfo", param).then(res => {
			return res
		})
	},
	getShopList(param) { //门店列表
		return http.post("/api/shop/list", param).then(res => {
			return res
		})
	},
	getShopUserList(param) { //门店店员列表
		return http.post("/api/shop/user/list", param).then(res => {
			return res
		})
	},
	getPosList(param) { //门店职位列表
		return http.post("/api/shop/poslist", param).then(res => {
			return res
		})
	},
	getFlowList(param) { //门店流水表
		return http.post("/api/report/flowlist", param).then(res => {
			return res
		})
	},
	getPatrList(param) { //顾客阶段减重汇总列表
		return http.post("/api/report/partlist", param).then(res => {
			return res
		})
	},
	getDayList(param) { //每日减重汇总列表
		return http.post("/api/report/daylist", param).then(res => {
			return res
		})
	},
	getClerkList(param) { //员工服务统计
		return http.post("/api/report/clerklist", param).then(res => {
			return res
		})
	},
	getClerkServeList(param) { //员工服务统计详情
		return http.post("/api/report/clerkservelist", param).then(res => {
			return res
		})
	},
	getResultList(param) { //减重记录
		return http.post("/api/report/resultlist", param).then(res => {
			return res
		})
	},
	getResultListByDay(param) { //根据天数进行汇总
		return http.post("/api/report/listbyday", param).then(res => {
			return res
		})
	},
	getResultListWeight(param) { //历史减重记录
		return http.post("/api/report/weighthislist", param).then(res => {
			return res
		})
	},


	// 设备管理
	getDeviceList(param) { //设备列表
		return http.post("/api/shop/device/list", param).then(res => {
			return res
		})
	},
	getDownloadimg(param) { //下载设备门店二维码
		return http.post("/api/shop/device/downloadimg", param).then(res => {
			return res
		})
	},
	// 数据预警
	getMemberAlertinfo(param) { //预警统计数据
		return http.post("/api/shop/member/alertinfo", param).then(res => {
			return res
		})
	},
	getMemberZclist(param) { //涨秤会员列表
		return http.post("/api/shop/member/zclist", param).then(res => {
			return res
		})
	},
	getMemberAlllist(param) { //门店请假列表
		return http.post("/api/shop/member/afk/alllist", param).then(res => {
			return res
		})
	},
	getMemberSubscribelist(param) { //关注会员列表
		return http.post("/api/shop/member/subscribelist", param).then(res => {
			return res
		})
	},
	getMemberdbfzlist(param) { //复涨会员列表
		return http.post("/api/shop/member/dbfzlist", param).then(res => {
			return res
		})
	},
}